### Method

# Gsk Transform to_matrix

#### Declaration [src]

    void
    gsk_transform_to_matrix (
      GskTransform* self,
      graphene_matrix_t* out_matrix
    )

#### Description [src]

Computes the 4x4 matrix for the transform.

The previous value of `out_matrix` will be ignored.

#### Parameters

`self`

  Type: `GskTransform`

  A transform.

  The argument can be `NULL`.

`out_matrix`

  Type: `graphene_matrix_t`

  Return location for the matrix.

  The argument will be set by the function.
  The returned data is owned by the instance.